Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HRuler Class Reference

A GtkHRuler C++ wrapper class. More...

`#include <xfc/gtk/ruler.hh>`

Inheritance diagram for Xfc::Gtk::HRuler:

List of all members.

## Public Member Functions

Constructors

- HRuler ()
    Contruct a new horizontal ruler with the default metric type Gtk::PIXELS.
- HRuler (MetricType metric)
    Contruct a new horizontal ruler with the metric type set to metric.
- virtual ~HRuler ()
    Destructor.

Accessors

- GtkHRuler * gtk_hruler () const
    Get a pointer to the GtkHRuler structure.
- operator GtkHRuler * () const
    Conversion operator; safely converts a HRuler to a GtkHRuler pointer.

## Protected Member Functions

Constructors

- HRuler (GtkHRuler *hruler, bool owns_reference=false)
    Construct a new HRuler from an existing GtkHRuler.

## Detailed Description

A GtkHRuler C++ wrapper class.

The HRuler widget is a widget arranged horizontally creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are PIXELS (the default), INCHES and CENTIMETERS.

See also: the Ruler HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::HRuler::HRuler | ( | GtkHRuler * | hruler,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new HRuler from an existing GtkHRuler.

Parameters:

  | hruler | A pointer to a GtkHRuler.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hruler can be a newly created GtkHRuler or an existing GtkHRuler (see G::Object::Object).

Xfc::Gtk::HRuler::HRuler | ( | MetricType | metric | ) |

Contruct a new horizontal ruler with the metric type set to metric.

Parameters:

  | metric | The unit of measurement.

Available units are PIXELS, INCHES, or CENTIMETERS.

The documentation for this class was generated from the following file:

- ruler.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3